# Warrant Screener

`WS` `request · cmd 23`

> **Quote Permission Required · Free**
> Included with OpenAPI activation — no extra purchase needed.
> _OpenAPI quote perms are separate from App/Web perms_

This API is used to obtain the quotes of HK warrants, and supports sorting and filtering.

```protobuf
message WarrantFilterListRequest {
  string symbol = 1;
  FilterConfig filter_config = 2;
  int32 language = 3;
}

message WarrantFilterListResponse {
  repeated FilterWarrant warrant_list = 1;
  int32 total_count = 2;
}
```

## Request Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | Yes | Security code, in ticker.region format, for example: 700.HK |
| `filter_config` | object | Yes | Filter conditions |
| `└ sort_by` | int32 | Yes | Which data to sort by, for example: 0, see the OrderSequence field of the response data |
| `└ sort_order` | int32 | Yes | Order: 0 - Ascending, 1 - Descending |
| `└ sort_offset` | int32 | Yes | The first data offset of paging, for example: 0 |
| `└ sort_count` | int32 | Yes | Number of items per page, for example: 20, no pagination when filling in 0 |
| `└ type` | int32[] | No | Filter warrant type: 0 Call, 1 Put, 2 Bull, 3 Bear, 4 Inline |
| `└ issuer` | int32[] | No | Filter issuer example: [12,14], obtain Issuer ID through API |
| `└ expiry_date` | int32[] | No | Filter expiry date: 1 <3 months, 2 3-6 months, 3 6-12 months, 4 >12 months |
| `└ price_type` | int32[] | No | Filter in/out of bounds: 1 In bounds, 2 Out bounds |
| `└ status` | int32[] | No | Filter status: 2 Suspend trading, 3 Prepare List, 4 Normal |
| `language` | int32 | Yes | Language: 0 zh-CN, 1 en, 2 zh-HK |

## Response Fields

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `warrant_list` | object[] | No | Filtered warrant data list |
| `└ symbol` | string | No | Security code |
| `└ name` | string | No | Security name |
| `└ last_done` | string | No | Latest price |
| `└ change_rate` | string | No | Quote change rate |
| `└ change_val` | string | No | Quote change |
| `└ volume` | int64 | No | Volume |
| `└ turnover` | string | No | Turnover |
| `└ expiry_date` | string | No | Expiry date, in YYMMDD format |
| `└ strike_price` | string | No | Strike price |
| `└ upper_strike_price` | string | No | Upper bound price |
| `└ lower_strike_price` | string | No | Lower bound price |
| `└ outstanding_qty` | string | No | Outstanding quantity |
| `└ outstanding_ratio` | string | No | Outstanding ratio |
| `└ premium` | string | No | Premium |
| `└ itm_otm` | string | No | In/out of the bound |
| `└ implied_volatility` | string | No | Implied volatility |
| `└ delta` | string | No | Greek value Delta |
| `└ call_price` | string | No | Call price |
| `└ to_call_price` | string | No | Price interval from the call price |
| `└ effective_leverage` | string | No | Effective leverage |
| `└ leverage_ratio` | string | No | Leverage ratio |
| `└ conversion_ratio` | string | No | Conversion ratio |
| `└ balance_point` | string | No | Breakeven point |
| `└ status` | int32 | No | Status: 2 Suspend trading, 3 Prepare List, 4 Normal |
| `total_count` | int32 | No | Total number of eligible |

## Response JSON Example

```json
{
  "warrant_list": [
    {
      "symbol": "13157.HK",
      "name": "MBTENCT@EP2207A",
      "last_done": "2.26",
      "change_rate": "-0.0216",
      "expiry_date": "20220705",
      "strike_price": "442.233",
      "status": 4
    }
  ],
  "total_count": 1197
}
```
